/* RBG REXX install script */
Call RxFuncAdd 'SysLoadFuncs', 'REXXUTIL', 'SysLoadFuncs'
Call SysLoadFuncs
call SysCls
say "Installing Random Background Graphics v2."

currentDirectory = directory()
programName = "\RBG.EXE"
programPath = insert( currentDirectory, programName )

PRGOPTION="PROGTYPE=PM;EXENAME="||programPath||";OBJECTID=<RBG>;ICONFILE="||programName||";"

if SysCreateObject("WPProgram", ,
                   "RBGv2", ,
                   "<WP_DESKTOP>", , 
                   PRGOPTION, ,
                   "REPLACE") Then Do
        Say "Random Background Graphics v2 has been successfully installed."
End            
    
Exit 0
